summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorCaleb Tennis <caleb@gentoo.org>2005-07-07 04:12:18 +0000
committerCaleb Tennis <caleb@gentoo.org>2005-07-07 04:12:18 +0000
commit4b2ccacb9b6f6e689f5de1ea3131d82cb9cb7da4 (patch)
tree15917461c55fb6f9167fafca1ae6b84f06438aac /eclass/qt3.eclass
parentarm/s390 stable (diff)
downloadgentoo-2-4b2ccacb9b6f6e689f5de1ea3131d82cb9cb7da4.tar.gz
gentoo-2-4b2ccacb9b6f6e689f5de1ea3131d82cb9cb7da4.tar.bz2
gentoo-2-4b2ccacb9b6f6e689f5de1ea3131d82cb9cb7da4.zip
Rename qt.eclass to qt3.eclass
Diffstat (limited to 'eclass/qt3.eclass')
-rw-r--r--eclass/qt3.eclass69
1 files changed, 69 insertions, 0 deletions
diff --git a/eclass/qt3.eclass b/eclass/qt3.eclass
new file mode 100644
index 000000000000..138c2b97153a
--- /dev/null
+++ b/eclass/qt3.eclass
@@ -0,0 +1,69 @@
+# Copyright 2005 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt3.eclass,v 1.1 2005/07/07 04:12:18 caleb Exp $
+#
+# Author Caleb Tennis <caleb@gentoo.org>
+#
+# This eclass is simple. Inherit it, and in your depend, do something like this:
+#
+# DEPEND="$(qt_min_version 3.1)"
+#
+# and it handles the rest for you
+#
+# Caveats:
+#
+# Currently, the ebuild assumes that a minimum version of Qt3 is NOT satisfied by Qt4
+
+inherit versionator
+
+
+QTPKG="x11-libs/qt-"
+QT3VERSIONS="3.3.4-r5 3.3.4-r4 3.3.4-r3 3.3.4-r2 3.3.4-r1 3.3.4 3.3.3-r3 3.3.3-r2 3.3.3-r1 3.3.3 3.3.2 3.3.1-r2 3.3.1-r1 3.3.1 3.3.0-r1 3.3.0 3.2.3-r1 3.2.3 3.2.2-r1 3.2.2 3.2.1-r2 3.2.1-r1 3.2.1 3.2.0 3.1.2-r4 3.1.2-r3 3.1.2-r2 3.1.2-r1 3.1.2 3.1.1-r2 3.1.1-r1 3.1.1 3.1.0-r3 3.1.0-r2 3.1.0-r1 3.1.0"
+
+qt_pkg_setup() {
+ if has_version =x11-libs/qt-3*; then
+ if [[ -z $QTDIR ]]; then
+ QTDIR="/usr/qt/3"
+ fi
+
+ [[ -d "$QTDIR/etc/settings" ]] && addwrite "$QTDIR/etc/settings"
+ addpredict "$QTDIR/etc/settings"
+ fi
+}
+
+qt_min_version() {
+ echo "|| ("
+ qt_min_version_list "$@"
+ echo ")"
+}
+
+qt_min_version_list() {
+ local MINVER=$1
+ local VERSIONS=""
+
+ case $MINVER in
+ 3|3.0|3.0.0) VERSIONS="=${QTPKG}3*";;
+ 4|4.0|4.0.0) VERSIONS="=${QTPKG}4*";;
+ 3*)
+ for x in $QT3VERSIONS; do
+ if $(version_is_at_least $MINVER $x); then
+ VERSIONS="${VERSIONS} =${QTPKG}${x}"
+ fi
+ done
+ ;;
+ 4*)
+ for x in $QT4VERSIONS; do
+ if $(version_is_at_least $MINVER $x); then
+ VERSIONS="${VERSIONS} =${QTPKG}${x}"
+ fi
+ done
+ ;;
+ *)
+ die "qt_min_version called with invalid parameter: \"$1\""
+ ;;
+ esac
+
+ echo "$VERSIONS"
+}
+
+EXPORT_FUNCTIONS pkg_setup